table.scroll {
    width: 100%   ; /* Optional */
    height: 100%  ;
    /* border-collapse: collapse; */
    border-spacing: 0;
    //border: 1px solid #adabab;
    background:white;
}

table.scroll tbody, table.scroll tfoot,
table.scroll thead { display: block; }

table.scroll thead { background:#e7eaec;border: 1px solid #adabab;  }
table.scroll caption { text-align: left; }

table.scroll thead tr  { 
    height: 30px;
    line-height: 30px;
    /*text-align: left;*/
}

table.scroll tfoot tr th { 
   height: 30px;
    line-height: 30px;
    /*text-align: left;*/
}

table.scroll tbody {
    height: 80%;
    overflow-y: auto;
   // overflow-x: hidden;
    background:white;
    border: 1px solid #adabab;
}

tbody { border-top: 2px solid #adabab; }

table.scroll tfoot {  background:white; border-top: 1px solid #adabab; }

tbody td, thead th, tfoot th {
   //// width: 20%; /* Optional */
    border-right: 1px solid #adabab;
}


tbody tr td {
    border-bottom: 1px solid #adabab;
    text-align: center;
     //padding-right: 2px;
    //letter-spacing: -2px;
}


tbody input {
    text-align: center;
}

tbody td:last-child, thead th:last-child, tfoot th:last-child {
    border-right: none;
}


tfoot {
    border: 1px solid #adabab;
}

/*  

.tablanew {
  width: 100%;
  max-width: 700px;
  min-width: 500px;
  height: 100%;
  margin: 0 auto;
  display: block;
  //overflow-x: hidden;
  overflow-y: auto;
  border-spacing: 0;
}

.tablanew  th,td {
  border: 1px solid  #CBE3FA;
  padding: 2px 5px;
  border-top-width: 0;
  border-left-width: 0;
}

.tablanew   td {
  max-width: 200px;   
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;  
}


.tablanew   tbody {
  white-space: nowrap;
}


.tablanew  th {
  position: sticky;
  top: 0;
  background: #CBE3FA;
  vertical-align: bottom;
}

.tablanew   th:last-child, td:last-child {
  border-right-width: 0;
}

.tablanew   tr:last-child td {
  border-bottom-width: 0;
}

*/

